REM ============================================================
REM FILE: Build.bat
REM DESC: This File will Compile the Applet
REM ============================================================

REM ------------------------------------------------------------
REM SET environment variables.
REM ------------------------------------------------------------

SET CLASSPATH=

REM ------------------------------------------------------------
REM CREATE CLASS Directories
REM ------------------------------------------------------------

MKDIR cmn 
MKDIR gui
MKDIR gemini
MKDIR gemini\gui
MKDIR horizon
MKDIR horizon\bio
MKDIR horizon\bio\io
MKDIR horizon\regions
MKDIR horizon\regions\io
MKDIR horizon\strat
MKDIR horizon\strat\gui
MKDIR horizon\strat\plot
MKDIR horizon\strat\io
MKDIR iqstrat
MKDIR iqstrat\io
MKDIR kgs
MKDIR kgs\io
MKDIR las 
MKDIR las\gui
MKDIR las\plot
MKDIR las3 
MKDIR las3\io
MKDIR lith
MKDIR lith\math
MKDIR lith\plot
MKDIR lith\lithology
MKDIR lith\lithology\plot
MKDIR lith\lithology\io
MKDIR lith\rock
MKDIR lith\rock\plot
MKDIR mask
MKDIR mask\plot
MKDIR mask\io
MKDIR math
MKDIR parse
MKDIR parse\io
MKDIR plot
MKDIR rock
MKDIR rock\plot
MKDIR rock\sedimentary
MKDIR rock\sedimentary\plot
MKDIR rock\fossil
MKDIR rock\fossil\plot
MKDIR rock\color
MKDIR rock\color\plot
MKDIR rock\color\io
MKDIR rock\phi
MKDIR rock\phi\plot
MKDIR util
MKDIR xml
MKDIR xsection
MKDIR xsection\gui
MKDIR xsection\plot

REM ------------------------------------------------------------
REM COPY the Source Code to the CLASS Directories
REM ------------------------------------------------------------

COPY src\*.java .
COPY src\cmn\*.java cmn
COPY src\gui\*.java gui
COPY src\gemini\gui\*.java gemini\gui
COPY src\horizon\*.java horizon
COPY src\horizon\bio\*.java horizon\bio
COPY src\horizon\bio\io\*.java horizon\bio\io
COPY src\horizon\regions\*.java horizon\regions
COPY src\horizon\regions\io\*.java horizon\regions\io
COPY src\horizon\strat\*.java horizon\strat
COPY src\horizon\strat\plot\*.java horizon\strat\plot
COPY src\horizon\strat\io\*.java horizon\strat\io
COPY src\horizon\strat\gui\*.java horizon\strat\gui
COPY src\iqstrat\*.java iqstrat
COPY src\iqstrat\io\*.java iqstrat\io
COPY src\kgs\*.java kgs
COPY src\kgs\io\*.java kgs\io
COPY src\las\*.java las
COPY src\las\gui\*.java las\gui
COPY src\las\plot\*.java las\plot
COPY src\las3\*.java las3
COPY src\las3\io\*.java las3\io
COPY src\lith\math\*.java lith\math
COPY src\lith\plot\*.java lith\plot
COPY src\lith\lithology\*.java lith\lithology
COPY src\lith\lithology\plot\*.java lith\lithology\plot
COPY src\lith\lithology\io\*.java lith\lithology\io
COPY src\lith\rock\*.java lith\rock
COPY src\lith\rock\plot\*.java lith\rock\plot
COPY src\mask\*.java mask
COPY src\mask\plot\*.java mask\plot
COPY src\mask\io\*.java mask\io
COPY src\math\*.java math
COPY src\parse\*.java parse
COPY src\parse\io\*.java parse\io
COPY src\plot\*.java plot
COPY src\rock\*.java rock
COPY src\rock\plot\*.java rock\plot
COPY src\rock\sedimentary\*.java rock\sedimentary
COPY src\rock\sedimentary\plot\*.java rock\sedimentary\plot
COPY src\rock\fossil\*.java rock\fossil
COPY src\rock\fossil\plot\*.java rock\fossil\plot
COPY src\rock\color\*.java rock\color
COPY src\rock\color\plot\*.java rock\color\plot
COPY src\rock\color\io\*.java rock\color\io
COPY src\rock\phi\*.java rock\phi
COPY src\rock\phi\plot\*.java rock\phi\plot
COPY src\util\*.java util
COPY src\xml\*.java xml
COPY src\xsection\*.java xsection
COPY src\xsection\gui\*.java xsection\gui
COPY src\xsection\plot\*.java xsection\plot

REM ------------------------------------------------------------
REM COMPILE Simple LAS Plot
REM ------------------------------------------------------------

C:\jdk1.7.0_25\bin\javac -Xlint:deprecation GXsection.java

REM ------------------------------------------------------------
REM REMOVE Source Code from the CLASS Directories
REM ------------------------------------------------------------

DEL *.java
DEL cmn\*.java
DEL gui\*.java
DEL gemini\gui\*.java
DEL iqstrat\*.java
DEL iqstrat\io\*.java
DEL horizon\*.java
DEL horizon\bio\*.java
DEL horizon\bio\io\*.java
DEL horizon\regions\*.java
DEL horizon\regions\io\*.java
DEL horizon\strat\*.java
DEL horizon\strat\plot\*.java
DEL horizon\strat\io\*.java
DEL horizon\strat\gui\*.java
DEL kgs\*.java
DEL kgs\io\*.java
DEL las\*.java
DEL las\gui\*.java
DEL las\plot\*.java
DEL las3\*.java
DEL las3\io\*.java
DEL lith\math\*.java
DEL lith\plot\*.java
DEL lith\lithology\*.java
DEL lith\lithology\plot\*.java
DEL lith\lithology\io\*.java
DEL lith\rock\*.java
DEL lith\rock\plot\*.java
DEL mask\*.java
DEL mask\plot\*.java
DEL mask\io\*.java
DEL math\*.java
DEL parse\*.java
DEL parse\io\*.java
DEL plot\*.java
DEL rock\*.java
DEL rock\plot\*.java
DEL rock\sedimentary\*.java
DEL rock\sedimentary\plot\*.java
DEL rock\fossil\*.java
DEL rock\fossil\plot\*.java
DEL rock\color\*.java
DEL rock\color\plot\*.java
DEL rock\color\io\*.java
DEL rock\phi\*.java
DEL rock\phi\plot\*.java
DEL util\*.java
DEL xml\*.java
DEL xsection\*.java
DEL xsection\gui\*.java
DEL xsection\plot\*.java

REM ------------------------------------------------------------
REM REMOVE the old LAS Jar File
REM BUILD JAR File for the LAS Plot
REM ------------------------------------------------------------

DEL GXsection.txt

C:\jdk1.7.0_25\bin\jar cvfm GXsection.jar Manifest.txt *.class cmn gui iqstrat gemini horizon kgs las las3 lith mask math parse plot rock util xml xsection images
C:\jdk1.7.0_25\bin\jar tvf GXsection.jar > GXsection.txt

MOVE *.jar lib

REM ------------------------------------------------------------
REM CLEAN UP
REM ------------------------------------------------------------

DEL cmn  /q
DEL gui  /q
DEL gemini\gui /q
DEL horizon /q
DEL horizon\bio /q
DEL horizon\bio\io /q
DEL horizon\regions /q
DEL horizon\regions\io /q
DEL horizon\strat /q
DEL horizon\strat\gui /q
DEL horizon\strat\plot /q
DEL horizon\strat\io /q
DEL iqstrat\io  /q
DEL iqstrat  /q
DEL kgs\io  /q
DEL kgs  /q
DEL las /q
DEL las\gui /q
DEL las\plot /q
DEL las3 /q
DEL las3\io /q
DEL lith\math /q
DEL lith\plot /q
DEL lith\lithology /q
DEL lith\lithology\plot /q
DEL lith\lithology\io /q
DEL lith\rock /q
DEL lith\rock\plot /q
DEL mask /q
DEL mask\io /q
DEL mask\plot /q
DEL math  /q
DEL parse /q
DEL parse\io /q
DEL plot  /q
DEL rock /q
DEL rock\plot /q
DEL rock\sedimentary /q
DEL rock\sedimentary\plot /q
DEL rock\fossil /q
DEL rock\fossil\plot /q
DEL rock\color /q
DEL rock\color\plot /q
DEL rock\color\io /q
DEL rock\phi /q
DEL rock\phi\plot /q
DEL util  /q
DEL xml  /q
DEL xsection /q
DEL xsection\gui /q
DEL xsection\plot /q

RMDIR cmn 
RMDIR gui 
RMDIR gemini\gui 
RMDIR gemini 
RMDIR horizon\bio\io
RMDIR horizon\bio
RMDIR horizon\regions\io
RMDIR horizon\regions
RMDIR horizon\strat\gui
RMDIR horizon\strat\plot
RMDIR horizon\strat\io
RMDIR horizon\strat
RMDIR horizon
RMDIR iqstrat\io 
RMDIR iqstrat 
RMDIR kgs\io 
RMDIR kgs 
RMDIR las\gui
RMDIR las\plot
RMDIR las
RMDIR las3\io
RMDIR las3
RMDIR lith\math
RMDIR lith\plot
RMDIR lith\lithology\plot
RMDIR lith\lithology\io
RMDIR lith\lithology
RMDIR lith\rock\plot
RMDIR lith\rock
RMDIR lith
RMDIR mask\plot
RMDIR mask\io
RMDIR mask
RMDIR math 
RMDIR parse\io
RMDIR parse
RMDIR plot 
RMDIR rock\plot
RMDIR rock\sedimentary\plot
RMDIR rock\sedimentary
RMDIR rock\fossil\plot
RMDIR rock\fossil
RMDIR rock\color\plot
RMDIR rock\color\io
RMDIR rock\color
RMDIR rock\phi\plot
RMDIR rock\phi
RMDIR rock
RMDIR util 
RMDIR xml 
RMDIR xsection\gui
RMDIR xsection\plot
RMDIR xsection

DEL *.class
