/*
 * @cmnStruct.java Version 1.1 06/26/2006
 *
 * Copyright (c) 2006 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package cmn;

import java.net.*;
import java.awt.*;
import java.applet.*;
import javax.swing.*;

import kgs.kgsUserStruct;

/** CLASS cmnStruct
 *  <p> This Class holds the global gui data structure data.
 *      NOTE: This version is designed for the LASFileReader and will not work
 *            with other web apps.
 *  @version 1.1 06/26/2006
 *  @author  John R. Victorine
 *  @modified 07/12/2007 for LAS File Reader
 */

public class cmnStruct
{
  // Kansas Geological Survey Home Web Addresses

  public static final String KGS        = "http://www.kgs.ku.edu";
  public static final String ABYSS      = "http://chasm.kgs.ku.edu";
  public static final String CO2        = "http://www.kgs.ku.edu/PRS/Ozark/";
  public static final String STRAT      = "http://www.kgs.ku.edu/stratigraphic/";

//  public static final String GEMINI = new String("/Gemini");

//  public static final String ABYSS    = "http://abyss.kgs.ku.edu";

  /* ======================================================================= *
   * --------------------- Web Applications Mnemonics ---------------------- *
   * ======================================================================= */

  // BASE URL to the ABYSS PLSQL Stored procedure base path.

//  public static final String ABYSS_PLSQL = "http://abyss.kgs.ku.edu/pls/abyss/";

//  public static final String PLSQL       = "http://chasm.kgs.ku.edu/pls/abyss/";
//  public static final String PLSQL_USER  = "http://chasm.kgs.ku.edu/pls/abyss/iqstrat.";
  public static final String PLSQL       = "http://chasm.kgs.ku.edu/ords/";
  public static final String PLSQL_USER  = "http://chasm.kgs.ku.edu/ords/iqstrat.";

  // TYPE LOG URL Path

  public static final String TYPE_LOG   = "http://www.kgs.ku.edu/PRS/Ozark/TYPE_LOG/";
  public static final String HELP       = TYPE_LOG + "HELP/";
  public static final String PC_GEO     = HELP + "PC/geo_reports/";

  // DOE CO2 LAS 3.0 Files URL Path

  public static final String DOE_CO2      = "http://www.kgs.ku.edu/PRS/Ozark/";
  public static final String DOE_CO2_DATA = DOE_CO2 + "GXSection/data/";
  public static final String DOE_CO2_LAS3 = DOE_CO2 + "file_data/LAS3/";

  // PROFILE URL Path
/*
  public static final String PROFILE    = STRAT  + "PROFILE/";
  public static final String DATA_ENTRY = HELP + "DATA_ENTRY/";

  public static final String PC_TOPS    = HELP + "PC/tops/";
  public static final String PC_CORE    = HELP + "PC/core/";
  public static final String PC_GEO     = HELP + "PC/geo_reports/";

  public static final String TOPS       = HELP + "DATA_ENTRY/tops/";
  public static final String SEQ_STRAT  = HELP + "DATA_ENTRY/seq_strat/";
*/
  // BASE DIRECTORY of IQSTRAT

  public static final String IQSTRAT_BASE = STRAT + "IQSTRAT/";

  // User Login

  public static final String  KGS_USER = PLSQL_USER + "iqstrat.iqstrat_users_pkg.getXML?";

  // Subdirectory of the county TRS grid lines under the Home Web Address

  public static final String LANDGRID = new String("/Gemini/zDat");

  /* Type Log User Login Get XML Procedure
   * EXAMPLE:
   *   http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_users_pkg.getXML?sEmail=KGS@kgs.ku.edu
   *   GET LIST of Type Log Tops Source Users for a specific Well
   *     http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_users_pkg.getXML?sAPI=15-081-20210
   */

  public static final String TYPE_LOG_USER  = PLSQL_USER + "iqstrat_type_log_users_pkg.getXML?";

  /* Type Log County List GET XML Procedures
   * EXAMPLE:
   *   http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_county_pkg.getCounties
   */

  public static final String GET_COUNTY_XML = PLSQL_USER + "iqstrat_type_log_county_pkg.getCounties?";

  /* Type Log Well List GET XML Procedures
   * EXAMPLES:
   *   GET Complete List
   *     http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_wells_pkg.getXML?
   *   GET WELL LIST
   *   -- BY County
   *      http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_wells_pkg.getWellXML?sCounty=stevens
   *   -- BY Type Log Area
   *      http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_wells_pkg.getWellXML?sArea=2
   *   -- BY API-Number
   *      http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_wells_pkg.getWellXML?sAPI=15-081-20210
   */

  public static final String TYPE_LOG_WELLS = PLSQL_USER + "iqstrat_type_log_wells_pkg.getXML?";
  public static final String GET_WELL_XML   = PLSQL_USER + "iqstrat_type_log_wells_pkg.getWellXML?";

  /* Type Log Zeller List GET XML Procedures
   * EXAMPLES:
   *   GET Complete List
   *     http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_zeller_pkg.getXML?
   *   GET TOPS LIST
   *   -- BY KID
   *      http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_zeller_pkg.getTopsXML?sKID=1027710581
   *   -- BY Partial Phrase
   *      http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_zeller_pkg.getTopsXML?sName=Scott
   */

  public static final String TYPE_LOG_TOPS = PLSQL_USER + "iqstrat_zeller_pkg.getXML?";
  public static final String GET_TOPS_XML  = PLSQL_USER + "iqstrat_zeller_pkg.getTopsXML?";

  //*** -------------------------------------- ***
  //*** Type Log Source Tops PL/SQL Procedures ***
  //*** -------------------------------------- ***

  /* Type Log Source Tops GET XML Procedures
   * EXAMPLE:
   *   GET BY source KID and Well API-Number
   *     http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_tops_pkg.getXML?src=1044171688&sAPI=15-081-20210
   *   GET BY source KID and Well Header KID
   *     Well:
   *     http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_tops_pkg.getXML?src=1044171688&sKID=1006072860
   *     Measured Section:
   *     http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_tops_pkg.getXML?src=1037238216&sKID=1044184209
   *   GET BY Well Header KID only
   *     Well:    http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_tops_pkg.getXML?sKID=1006072860
   *     Outcrop: http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_tops_pkg.getXML?sKID=1044184209
   *
   *   TEST: Stanton County
   *     L.E. Nordling 1:
   *       http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_tops_pkg.getXML?sKID=1006155003
   *     McPherson and Citizens State Bank 1:
   *       http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_tops_pkg.getXML?sKID=1006155005
   */

  public static final String TYPE_LOG_SOURCE_TOPS = PLSQL_USER + "iqstrat_type_log_tops_pkg.getXML?";

  /* Type Log Source Tops Modify Data PL/SQL Procedures
   *  Insert / Update Actions
   *    Well:   1006155005 ( McPhereson and Citizens State Bank 1 [15-187-20355] )
   *    Source: 1037238216 ( John R Victorine )
   *    Zeller: 1027711083 ( Pleasanton Group )
   *    Name:   Pleasanton
   *    Top:    4438.0'
   *    Base:   0.0'
   *      http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_tops_pkg.save_data?
   *         sKID=1006155005&src=1037238216&sZeller=1027711083&sName=Pleasanton&dTop=4438&dBase=0
   *
   *  Delete Action:
   *    Well:   1006155005 ( McPhereson and Citizens State Bank 1 [15-187-20355] )
   *    Source: 1037238216 ( John R Victorine )
   *    Zeller: 1027711083 ( Pleasanton Group )
   *      http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_tops_pkg.delete_data?
   *         sKID=1006155005&src=1037238216&sZeller=1027711083
   */

  public static final String TYPE_LOG_SOURCE_SAVE   = PLSQL_USER + "iqstrat_type_log_tops_pkg.save_data?";
  public static final String TYPE_LOG_SOURCE_DELETE = PLSQL_USER + "iqstrat_type_log_tops_pkg.delete_data?";

  //*** ----------------------------------------- ***
  //*** Type Log Evaluator Tops PL/SQL Procedures ***
  //*** ----------------------------------------- ***

  /* Type Log Evaluator Tops Get XML Procedures
   *   GET BY Well Header KID only
   *     McPherson and Citizens State Bank 1 (15-187-20355):
   *       http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_tops_eval_pkg.getXML?sKID=1006155005
   *
   *   TEST: Stanton County
   *     L.E. Nordling 1 (15-187-20354):
   *       http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_tops_eval_pkg.getXML?sKID=1006155003
   *     McPherson and Citizens State Bank 1 (15-187-20355):
   *       http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_tops_eval_pkg.getXML?sKID=1006155005
   */

  public static final String TYPE_LOG_EVAL_TOPS  = PLSQL_USER + "iqstrat_type_log_tops_eval_pkg.getXML?";
  public static final String TYPE_LOG_EVAL_TOPS2 = PLSQL_USER + "iqstrat_type_log_tops_eval_pkg.getTopsXML?";

  /* Type Log Evaluator Tops Modify Data PL/SQL Procedures
   *  TEST: Stanton County
   *  Insert / Update Actions
   *    Well:   1006155005 ( McPhereson and Citizens State Bank 1 [15-187-20355] )
   *    Source: 1037238216 ( John R Victorine )
   *    Zeller: 1027711071 ( Stark Shale Group )
   *    Name:   Stark Shale
   *    Top:    4294.0'       4300.0'
   *    Base:   0.0'             0.0'
   *    Eval:   REJECT        ACCEPT
   *      http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_tops_eval_pkg.save_data?
   *         sKID=1006155005&src=1037238216&sZeller=1027711071&sName=Stark Shale&dTop=4294&dBase=0&sEval=REJECT
   *      http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_tops_eval_pkg.save_data?
   *         sKID=1006155005&src=1037238216&sZeller=1027711071&sName=Stark Shale&dTop=4300&dBase=0&sEval=ACCEPT
   *
   *  Delete Action:
   *    Well:   1006155005 ( McPhereson and Citizens State Bank 1 [15-187-20355] )
   *    Source: 1037238216 ( John R Victorine )
   *    Zeller: 1027711071 ( Stark Shale Group )
   *      http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_tops_eval_pkg.delete_data?
   *         sKID=1006155005&src=1037238216&sZeller=1027711071
   */

  public static final String TYPE_LOG_EVAL_SAVE   = PLSQL_USER + "iqstrat_type_log_tops_eval_pkg.save_data?";
  public static final String TYPE_LOG_EVAL_DELETE = PLSQL_USER + "iqstrat_type_log_tops_eval_pkg.delete_data?";

  // Headers Information URL's

  public static final String  KGS_HEADERS_READ_LIST = PLSQL_USER + "user_headers_pkg.getXML?";
  public static final String  KGS_HEADERS_READ      = PLSQL_USER + "headers_pkg.getXML?";
  public static final String  KGS_HEADERS_WRITE     = PLSQL_USER + "headers_pkg.saveXML?";
  public static final String  KGS_WELL_HEADERS_READ = PLSQL_USER + "kgs_well_headers_pkg.getXML?";

  // User Headers Information URL's

  public static final String KGS_USER_HEADERS_DELETE = PLSQL_USER + "user_headers_pkg.delete_data?";

  // User Files Information URL's;

  public static final String KGS_USER_FILES_WRITE  = PLSQL_USER + "user_files_pkg.save_data?";
  public static final String KGS_USER_FILES_READ   = PLSQL_USER + "user_files_pkg.getXML?";
/*
  // KGS Well Data URL's

  // Core Data XML - Input: API-Number of Well (sAPI)

  public static final String  KGS_CORE_DATA   = PLSQL_USER + "kgs_core_data_pkg.getXML?";

  // Core Image Data XML - Input: API-Number of Well (sAPI)

  public static final String  KGS_CORE_IMAGES = PLSQL_USER + "kgs_core_images_pkg.getXML?";

  // Display Core image from KGS Web page

  public static final String DISPLAY_CORE =  PLSQL_USER + "rock_catalog_image_pkg.build_web_page?iKID=";

  // KGS Brine Data

  public static final String BRINE_DEFINITON    = STRAT + "PROFILE/BrineDefinitions.html";
  public static final String KGS_BRINE          = PLSQL_USER + "brine_data_pkg.getXML?";
  public static final String KGS_BRINE_COUNTIES = PLSQL_USER + "brine_data_pkg.getCounties?";

  // KGS Measured Sections (Outcrops)

  public static final String KGS_OUTCROP_LOCATION = PLSQL_USER + "kgs_outcrop_loc_pkg.getXML?";
  public static final String KGS_OUTCROP_COUNTIES = PLSQL_USER + "kgs_outcrop_loc_pkg.getCounties?";
  public static final String KGS_OUTCROP_DATA     = PLSQL_USER + "kgs_outcrop_data_pkg.getXML?";
*/

  /* Get Measured Section LAS 3.0 File Information
   * EXAMPLES:
   *   GET LAS File Information
   *   BY API-Number
   *     http://chasm.kgs.ku.edu/pls/abyss/iqstrat.kgs_las_files_pkg.getXML?sAPI=15-189-22225
   *   BY Well Header KID
   *     http://chasm.kgs.ku.edu/pls/abyss/iqstrat.kgs_las_files_pkg.getXML?sKID=1006159553
   */

  public static final String KGS_LAS_FILES = PLSQL_USER + "kgs_las_files_pkg.getXML?";

  /* Get Measured Section LAS 3.0 File Information
   * EXAMPLES:
   *   GET LAS 3.0 File Information
   *     http://chasm.kgs.ku.edu/pls/abyss/iqstrat.kgs_las_files_pkg.getOCXML?sKID=1044184209
   *     http://chasm.kgs.ku.edu/pls/abyss/iqstrat.iqstrat_type_log_LAS_pkg.getXML?sKID=1044184209
   */

//  public static final String TYPE_LOG_LAS_FILES = PLSQL_USER + "kgs_las_files_pkg.getOCXML?";
  public static final String TYPE_LOG_LAS_FILES = PLSQL_USER + "iqstrat_type_log_LAS_pkg.getXML?";

/*
  // LAS File Curves XML - Input: API-Number of Well (sLASKID)

  public static final String KGS_LAS_FILE_CURVES = PLSQL_USER + "kgs_las_curves_pkg.getXML?";

  // DST & Perforations XML - Input: API-Number of Well (sAPI)

  public static final String KGS_DST_PERFS = PLSQL_USER + "kgs_perfs_dst_pkg.getXML?";
*/
  // Regions XML - Input: API-Number of Well (sAPI)

  public static final String KGS_REGIONS = PLSQL_USER + "kgs_regions_pkg.getXML?";

  // KGS Stratigraphic Units

  public static final String KGS_STRAT_UNITS = PLSQL_USER + "kgs_strat_pkg.getXML";

  // -- BY Well - Input: API-Number (sAPI) & KID (sKID)

  public static final String KGS_WELL_STRAT_UNITS = PLSQL_USER + "kgs_well_tops_pkg.getXML?";

  // Latitude & Longitude from TRS

  public static final String KGS_TRS2LL = PLSQL_USER + "TRS2LL_pkg.getXML?";


  /* ======================================================================= *
   * ----------------------------- Mouse Icons ----------------------------- *
   * ======================================================================= */

  public static final String      MOUSE   = "/images/mouse.gif";

  /* ======================================================================= *
   * ----------------------------- TRACK Icons ----------------------------- *
   * ======================================================================= *

  public static final String      ALL_TRACKS   = "/images/all.png";
  public static final String      LAS_TRACKS   = "/images/las.png";
  public static final String      ROCK_TRACKS  = "/images/rock.png";
  public static final String      TOPS_TRACKS  = "/images/horizon.png";
*/
  /* ======================================================================= *
   * ------------------------------ EDIT Icons ----------------------------- *
   * ======================================================================= */

//  public static final String      OPEN     = "/images/select.png";
//  public static final String      NEW      = "/images/new.png";
//  public static final String      MODIFY   = "/images/modify.png";
  public static final String      COPY     = "/images/copy_lg.png";
  public static final String      DATUMBY  = "/images/datumBy_lg.png";
  public static final String      DELETE   = "/images/erase_lg.png";
  public static final String      SAVE     = "/images/save_lg.png";
  public static final String      ACCEPT   = "/images/accept_lg.png";
  public static final String      REJECT   = "/images/reject_lg.png";

  /* ======================================================================= *
   * ----------------------------- pFEFFER Icons --------------------------- *
   * ======================================================================= *

  public static final String      PICKETT  = "/images/pickett.png";
  public static final String      PHI_2ND  = "/images/2ndporosity.png";
*/
  /* ======================================================================= *
   * ---------------------------- KGS Logo Icon ---------------------------- *
   * ======================================================================= */

  public static final String      ICON   = "images/kgsSm.png";
  public static final String      ICON2  = "images/kgsSm2.png";
  public Image                    pIcon  = null;
  public Image                    pIcon2 = null;

  /* ======================================================================= *
   * ----------------------------- Image Icons ----------------------------- *
   * ======================================================================= */

//  public static final int    _KGS       = 0; // KGS Data
//  public static final int    _PC        = 1; // PC Data
//
//  public static final int    _LAS       = 2; // LAS File Data Entry & Viewer
//  public static final int    _TOPS      = 3; // Horizons Data Entry & Viewer
//  public static final int    _CORE      = 4; // Core Data Data Entry & Viewer
//  public static final int    _ROCK      = 5; // Geologist Report Datay & Viewer
//  public static final int    _LAS3      = 6; // LAS 3.0 File Viewer

  public static final String WEB_APP    = "/images/webapp.png";

  public static final String KGS_DATA   = "/images/kgsSm2.png";
//  public static final String PC_DATA    = "/images/PC.png";

//  public static final String WELL_DATA  = "/images/WellData.png";
//  public static final String BRINE_DATA = "/images/brine_plot.png";
//  public static final String MEAS_DATA  = "/images/iqstrat.png";

//  public static final String LAS_FILE   = "/images/las.png";
//  public static final String HORIZONS   = "/images/horizon.png";

  public static final String LAS_FILE   = "/images/las-file.png";
  public static final String HORIZONS   = "/images/tops.png";
//  public static final String ROCK_DATA  = "/images/rock-data.png";
  public static final String ROCK_TEXT  = "/images/profile.png";

//  public static final String LAS3_FILE = "/images/iqstrat-complete.png";

  /* ======================================================================= *
   * ------------------------------ Constants ------------------------------ *
   * ======================================================================= */

  public static final int _NO    = 0;
  public static final int _YES   = 1;

  public static final int OFF    = 0;
  public static final int ON     = 1;

  public static final int ALL    = 0;
  public static final int SELECT = 1;
  public static final int NONE   = 2;

//  public static final int CORE_BOX   = 0;
//  public static final int CORE_SLAB  = 1;
//  public static final int CORE_THIN  = 2;
//  public static final int CORE_SEM   = 3;
//  public static final int ROCK_IMAGE = 4;
//
//  public static final String  CORE_IMAGES[] = { "IMAGE: CORE",
//                                                "IMAGE: SLAB",
//                                                "IMAGE: THIN SECTION",
//                                                "IMAGE: SEM",
//                                                "IMAGE: ROCK" };
//
//  public static final int STIFF   = 0;
//  public static final int COLLINS = 1;
//  public static final int PIPER   = 2;

  /* ======================================================================= *
   * --------------------------- Global Variables -------------------------- *
   * ======================================================================= */

  public int           iServerUsed;     // Server that will be used.
  public boolean       bStandalone;     // Application is Stand alone
  public URL           urlDirCodeBase;  // Base URL of Applet.
  public AppletContext appletContext;   // Applet Context
  public String        sPath;           // Path to retrieve data from JAR File
  public String        sImagePath;      // Path to retrieve images from JAR File
  public ClassLoader   cl;

  public kgsUserStruct stUser = null;
}