/*
 * @stratigraphicChartStruct.java.java Version 1.1 12/03/2007
 *
 * Copyright (c) 2007 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package horizon;

/** Class stratigraphicChartStruct.java
 *  <p> This Class holds the Divisions of Geologic Time - Major
 *      Chronostratigraphic and Geochronologic Units.
 *
 *  @version 1.1 12/03/2007
 *  @author  John R. Victorine
 */

public class stratigraphicChartStruct
{
  public static final int    TOTAL = 76;
  public static final String CHART[][] = {
  //  ID     Type    Name                Age       +-      Red   Green  Blue
  {"10000000", "EON",    "Phanerozoic", "0.0",    "0.0",  "179", "226", "209"},
  {"10100000", "ERA",    "Cenozoic",    "0.0",    "0.0",  "255", "255", "0"},
  {"10101000", "SYSTEM", "Quaternary",  "0.0",    "0.0",  "255", "255", "77"},
  {"10101010", "SERIES", "Holocene",    "0.0",    "0.0",  "255", "255", "179"},
  {"10101020", "SERIES", "Pleistocene", "0.0115", "0.0",  "255", "235", "98"},

  {"10102000", "SYSTEM", "Neogene",     "1.806",  "0.005","253", "204", "138"},
  {"10102010", "SERIES", "Pliocene",    "1.806",  "0.005","254", "235", "172"},
  {"10102020", "SERIES", "Miocene",     "5.332",  "0.005","255", "222", "0"},

  {"10103000", "SYSTEM", "Paleogene",  "23.03",   "0.05", "255", "179", "0"},
  {"10103010", "SERIES", "Oligocene",  "23.03",   "0.05", "234", "198", "114"},
  {"10103020", "SERIES", "Eocene",     "33.9",    "0.1",  "234", "173", "67"},
  {"10103030", "SERIES", "Paleocene",  "55.8",    "0.2",  "235", "147", "1"},

  {"10200000", "ERA",    "Mesozoic",       "65.5", "0.3",  "127", "173", "81"},
  {"10201000", "SYSTEM", "Cretaceous",     "65.5", "0.3",  "127", "195", "28"},
  {"10201010", "SERIES", "Upper",          "65.5", "0.3",  "222", "241", "151"},
  {"10201020", "SERIES", "Lower",          "99.6", "0.9",  "179", "223", "127"},

  {"10202000", "SYSTEM", "Jurassic",      "145.5", "4.0",  "77",  "180", "126"},
  {"10202010", "SERIES", "Upper",         "145.5", "4.0",  "204", "235", "197"},
  {"10202020", "SERIES", "Middle",        "161.2", "4.0",  "127", "202", "147"},
  {"10202030", "SERIES", "Lower",         "175.6", "2.0",  "102", "192", "146"},

  {"10203000", "SYSTEM", "Triassic",      "199.6", "0.6",  "103", "195", "183"},
  {"10203010", "SERIES", "Upper",         "199.6", "0.6",  "204", "236", "225"},
  {"10203020", "SERIES", "Middle",        "228.0", "2.0",  "153", "215", "190"},
  {"10203030", "SERIES", "Lower",         "245.0", "1.5",  "103", "179", "159"},

  {"10300000", "ERA",    "Paleozoic",     "251.0", "0.4", "128", "181", "213"},
  {"10301000", "SYSTEM", "Permian",       "251.0", "0.4", "103", "198", "221"},
  {"10301010", "SERIES", "Lopingian",     "251.0", "0.4", "179", "227", "238"},
  {"10301020", "SERIES", "Guadalupian",   "260.4", "0.7", "153", "216", "216"},
  {"10301030", "SERIES", "Cisuralian",    "270.6", "0.7", "128", "206", "201"},
  {"10302000", "SYSTEM", "Carboniferous", "299.0", "0.8", "153", "189", "218"},
  {"10303000", "SYSTEM", "Pennsylvanian", "299.0", "0.8", "104", "159", "202"},
  {"10303010", "SERIES", "Upper",         "299.0", "0.8", "104", "159", "202"},
  {"10303020", "SERIES", "Middle",        "306.5", "1.0", "104", "159", "202"},
  {"10303030", "SERIES", "Lower",         "311.7", "1.3", "104", "159", "202"},
  {"10304000", "SYSTEM", "Mississippian", "318.1", "1.3", "128", "145", "173"},
  {"10304010", "SERIES", "Upper",         "318.1", "1.3", "128", "145", "173"},
  {"10304020", "SERIES", "Middle",        "326.4", "1.6", "128", "145", "173"},
  {"10304030", "SERIES", "Lower",         "345.3", "2.1", "128", "145", "173"},
  {"10305000", "SYSTEM", "Devonian",      "359.2", "2.5", "153", "153", "201"},
  {"10305010", "SERIES", "Upper",         "359.2", "2.5", "203", "189", "220"},
  {"10305020", "SERIES", "Middle",        "385.3", "2.6", "153", "131", "190"},
  {"10305030", "SERIES", "Lower",         "397.5", "2.7", "128", "125", "186"},
  {"10306000", "SYSTEM", "Silurian",      "416.0", "2.8", "177", "114", "182"},
  {"10306010", "SERIES", "Pridoli",       "416.0", "2.8", "233", "199", "226"},
  {"10306020", "SERIES", "Ludlow",        "418.7", "2.7", "202", "167", "209"},
  {"10306030", "SERIES", "Wenlock",       "422.9", "2.5", "177", "137", "179"},
  {"10306040", "SERIES", "Llandovery",    "428.2", "2.3", "152", "88",  "168"},
  {"10307000", "SYSTEM", "Ordovician",    "443.7", "1.5", "249", "129", "166"},
  {"10307010", "SERIES", "Upper",         "443.7", "1.5", "251", "180", "189"},
  {"10307020", "SERIES", "Middle",        "460.9", "1.6", "250", "154", "177"},
  {"10307030", "SERIES", "Lower",         "471.8", "1.6", "230", "125", "164"},
  {"10308000", "SYSTEM", "Cambrian",      "488.3", "1.7", "251", "128", "95"},
  {"10308010", "SERIES", "Upper",         "488.3", "1.7", "253", "205", "184"},
  {"10308020", "SERIES", "Middle",        "501.0", "2.0", "232", "174", "151"},
  {"10308030", "SERIES", "Lower",         "513.0", "2.0", "231", "124", "114"},

  {"20000000", "AGE", "Precambrian",      "542.0", "1.0", "178", "134", "83"},
  {"20100000", "EON", "Proterozoic",      "542.0", "1.0", "204", "216", "145"},
  {"20200000", "ERA", "Neoproterozoic",   "542.0", "1.0", "202", "165", "149"},
  {"20201000", "SYSTEM", "Ediacaran",     "542.0", "1.0", "234", "216", "188"},
  {"20202000", "SYSTEM", "Cryogenian",    "630.0", "0.0", "220", "171", "170"},
  {"20203000", "SYSTEM", "Tonian",        "850.0", "0.0", "203", "164", "108"},

  {"20300000", "ERA", "Mesoproterozoic", "1000.0", "0.0", "221", "194", "136"},
  {"20301000", "SYSTEM", "Stenian",      "1000.0", "0.0", "221", "194", "136"},
  {"20302000", "SYSTEM", "Ectasian",     "1200.0", "0.0", "221", "194", "136"},
  {"20303000", "SYSTEM", "Calymmian",    "1400.0", "0.0", "221", "194", "136"},

  {"20400000", "ERA", "Paleoproterozoic","1600.0", "0.0", "179", "178", "94"},
  {"20401000", "SYSTEM", "Statherian",   "1600.0", "0.0", "179", "178", "94"},
  {"20402000", "SYSTEM", "Orosinian",    "1800.0", "0.0", "179", "178", "94"},
  {"20403000", "SYSTEM", "Rhyacian",     "2050.0", "0.0", "179", "178", "94"},
  {"20404000", "SYSTEM", "Siderian",     "2300.0", "0.0", "179", "178", "94"},

  {"30000000", "EON", "Archean",         "2500.0", "0.0", "153", "173", "172"},
  {"30100000", "ERA", "Neoarchean",      "2500.0", "0.0", "203", "205", "200"},
  {"30200000", "ERA", "Mesoarchean",     "2800.0", "0.0", "221", "194", "136"},
  {"30300000", "ERA", "Paleoarchean",    "3200.0", "0.0", "153", "151", "145"},
  {"30400000", "ERA", "Eoarchean",       "3600.0", "0.0", "128", "144", "144"},

  {"40000000", "EON", "Hadean",          "4000.0", "0.0", "255", "255", "255"},
  };

  public static final int    ISC_TOTAL = 51;
  public static final String ISC[][] = {
  // EON         ERA         SYSTEM      STAGE
  //Phanerozoic
  //            Cenozoic
  //                       Quaternary
  {"10000000", "10100000", "10101000", "10101010"},
  {"10000000", "10100000", "10101000", "10101020"},
  //                        Neogene
  {"10000000", "10100000", "10102000", "10102010"},
  {"10000000", "10100000", "10102000", "10102020"},
  //                       Paleogene
  {"10000000", "10100000", "10103000", "10103010"},
  {"10000000", "10100000", "10103000", "10103020"},
  {"10000000", "10100000", "10103000", "10103030"},
  //Phanerozoic
  //            Mesozoic
  //                       Cretaceous
  {"10000000", "10200000", "10201000", "10201010"},
  {"10000000", "10200000", "10201000", "10201020"},
  //                       Jurassic
  {"10000000", "10200000", "10202000", "10202010"},
  {"10000000", "10200000", "10202000", "10202020"},
  {"10000000", "10200000", "10202000", "10202030"},
  //                       Triassic
  {"10000000", "10200000", "10203000", "10203010"},
  {"10000000", "10200000", "10203000", "10203020"},
  {"10000000", "10200000", "10203000", "10203030"},
  //Phanerozoic
  //            Paleozoic
  //                       Permian
  {"10000000", "10300000", "10301000", "10301010"},
  {"10000000", "10300000", "10301000", "10301020"},
  {"10000000", "10300000", "10301000", "10301030"},
  //                       Pennsylvanian
  {"10000000", "10300000", "10303000", "10303010"},
  {"10000000", "10300000", "10303000", "10303020"},
  {"10000000", "10300000", "10303000", "10303030"},
  //                       Mississippian
  {"10000000", "10300000", "10304000", "10304010"},
  {"10000000", "10300000", "10304000", "10304020"},
  {"10000000", "10300000", "10304000", "10304030"},
  //                       Devonian
  {"10000000", "10300000", "10305000", "10305010"},
  {"10000000", "10300000", "10305000", "10305020"},
  {"10000000", "10300000", "10305000", "10305030"},
  //                       Silurian
  {"10000000", "10300000", "10306000", "10306010"},
  {"10000000", "10300000", "10306000", "10306020"},
  {"10000000", "10300000", "10306000", "10306030"},
  {"10000000", "10300000", "10306000", "10306040"},
  //                       Ordovician
  {"10000000", "10300000", "10307000", "10307010"},
  {"10000000", "10300000", "10307000", "10307020"},
  {"10000000", "10300000", "10307000", "10307030"},
  //                       Cambrian
  {"10000000", "10300000", "10308000", "10308010"},
  {"10000000", "10300000", "10308000", "10308020"},
  {"10000000", "10300000", "10308000", "10308030"},
  //Proterozoic
  //           Neoproterozoic
  //                       Ediacaran
  {"20100000", "20200000", "20201000", "-1"},
  //                       Cryogenian
  {"20100000", "20200000", "20202000", "-1"},
  //                       Tonian
  {"20100000", "20200000", "20203000", "-1"},
  //Proterozoic
  //           Mesoproterozoic
  //                       Stenian
  {"20100000", "20300000", "20301000", "-1"},
  //                       Ectasian
  {"20100000", "20300000", "20302000", "-1"},
  //                       Calymmian
  {"20100000", "20300000", "20303000", "-1"},
  //Proterozoic
  //           Paleoproterozoic
  //                       Statherian
  {"20100000", "20400000", "20401000", "-1"},
  //                       Orosinian
  {"20100000", "20400000", "20402000", "-1"},
  //                       Rhyacian
  {"20100000", "20400000", "20403000", "-1"},
  //                       Siderian
  {"20100000", "20400000", "20404000", "-1"},
  //Archean
  //           Neoarchean
  {"30000000", "30100000", "-1",       "-1"},
  //Archean
  //           Mesoarchean
  {"30000000", "30200000", "-1",       "-1"},
  //Archean
  //           Paleoarchean
  {"30000000", "30300000", "-1",       "-1"},
  //Archean
  //           Eoarchean
  {"30000000", "30400000", "-1",       "-1"},
  };

  /** Method getID()
   * <p> This method will retrieve the id from the Stratigraphic Chart "ISC"
   *     data structure.
   * @param  sID1   = id 1   - the known id needed
   * @param  sType1 = type 1 - the type of stratigraphic unit
   * @param  sType2 = type 2 - the type of stratigraphic unit id needed
   * @return sid    = the id of the stratigrpahic unit
   */

  public static String getID(String sID1, String sType1, String sType2)
  {
    String sid    = "0";
    int    iFound = -1;

    for (int i=0; i<ISC_TOTAL; i++)
    {
      if (sType1.equals("ERA"))
      {
        if (sID1.equals(ISC[i][1]))
          iFound = i;
      }
      if (sType1.equals("SYSTEM"))
      {
        if (sID1.equals(ISC[i][2]))
          iFound = i;
      }
      if (sType1.equals("SERIES"))
      {
        if (sID1.equals(ISC[i][3]))
          iFound = i;
      }
    }

    if (iFound > -1)
    {
      if (sType2.equals("EON"))    sid = new String(ISC[iFound][0]);
      if (sType2.equals("ERA"))    sid = new String(ISC[iFound][1]);
      if (sType2.equals("SYSTEM")) sid = new String(ISC[iFound][2]);
    }

    return (sid);
  }

  /** Method getOrder()
   * <p> This method will retrieve the order in the Stratigraphic Chart "CHART"
   *     data structure.
   * @param  sid    = the id of the stratigrpahic unit
   * @return iOrder = The order in the stratigraphic chart "CHART" data structure
   */

  public static int getOrder(String sid)
  {
    int iOrder = -1;

    for (int i=0; i<TOTAL; i++)
    {
      if (sid.equals(CHART[i][0]))
        iOrder = i;
    }

    return (iOrder);
  }
}