/*
 * @kgsUserListStruct.java Version 1.1 10/12/2012
 *
 * Copyright (c) 2012 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package kgs;

import kgs.kgsUserStruct;

/** Class kgsUserListStruct
 *  <p> This Class holds the KGS User List Data Structure.
 *
 *  @version 1.1 10/12/2012
 *  @author  John R. Victorine
 */

public class kgsUserListStruct
{
  public int           iCount   = 0;    // Total Number of Records
  public kgsUserStruct stItem[] = null; // Total KGS User Data Stucture

  /** Method delete()
   * <p> This method will set the arrays to null in order to get Java to
   *     deallocate memory for the object.
   */

  public void delete()
  {
    int i = 0;

    for (i=0; i<iCount; i++)
    {
      if (stItem[i] != null)
        stItem[i].delete();
      stItem[i] = null;
    }

    iCount = 0;
  }
}
