/*
 * @plotWellStatusStruct.java Version 1.1 05/07/2002
 *
 * Copyright (c) 2001 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package plot;

/** Class plotWellStatusStruct
 *  <p> This Class holds the data needed to plot the Wells that are in the
 *      Project list
 *
 *  @version 1.1 05/07/2002
 *  @author  John R. Victorine
 */

public class plotWellStatusStruct
{
  public static final int  NONE            = 0;
  public static final int  DRY             = 1;
  public static final int  DRY_OIL         = 2;
  public static final int  DRY_GAS         = 3;
  public static final int  DRY_OIL_GAS     = 4;
  public static final int  OIL             = 5;
  public static final int  GAS             = 6;
  public static final int  OIL_GAS         = 7;
  public static final int  SUSPEND         = 8;
  public static final int  SUSPEND_OIL     = 9;
  public static final int  SUSPEND_GAS     = 10;
  public static final int  SUSPEND_OIL_GAS = 11;
  public static final int  SWD             = 12;
  public static final int  OUTCROP         = 13;

  public static final int    iTotalSymbols   = 14;
  public static final String symbols[] =
    { "(NONE) Location Only",
      "(D&A) Dry & Abandon",
      "(D&A-O) Dry & Abandon - Oil Show",
      "(D&A-G) Dry & Abandon - Gas Show",
      "(D&A-OG) Dry & Abandon - Oil & Gas Show",
      "Oil",
      "Gas",
      "Oil & Gas",
      "(SUS) Suspended",
      "(SUS-O) Suspended - Oil",
      "(SUS-G) Suspended - Gas",
      "(SUS-OG) Suspended - Oil & Gas",
      "(SWD) Salt-Water-Disposal",
      "OUTCROP"};

  public static final int    iCount = 43;
  public static final String status[][] =
    {{"NONE",   "None"},
     {"ABND",   "Abandon"},
     {"CB",     "CB"},
     {"Dry",    "Dry"},
     {"D&A",    "Dry & Abandon"},
     {"D&A-G",  "Dry & Abandon - Gas Show"},
     {"D&A-O",  "Dry & Abandon - Oil Show"},
     {"D&A-OG", "Dry & Abandon - Oil & Gas Show"},
     {"D&AW",   "Dry & Abandon - Water"},
     {"D&AWG",  "Dry & Abandon - Water Gas Show"},
     {"D&AWO",  "Dry & Abandon - Water Oil Show"},
     {"ENH",    "ENH"},
     {"EOR",    "EOR"},
     {"GAS",    "Gas"},
     {"GAS-WO", "Gas with Oil Show"},
     {"GS",     "Gas Show"},
     {"HI",     "HI"},
     {"INJ",    "Injection"},
     {"INP",    ""},
     {"J&A",    "J&A"},
     {"LH",     "LH"},
     {"O&G",    "Oil & Gas"},
     {"OG",     "Oil & Gas"},
     {"OIL",    "Oil"},
     {"OIL-WO", "OIL-WO"},
     {"SERVG",  "Service - Gas"},
     {"SERVOG", "Service - Oil & Gas"},
     {"SERW",   "Service - Water"},
     {"SUS",    "Suspended"},
     {"SUS-O",  "Suspended - Oil"},
     {"SUS-G",  "Suspended - Gas"},
     {"SUS-OG", "Suspended - Oil & Gas"},
     {"SWD",    "Salt-Water-Disposal"},
     {"SWDW",   "Salt-Water-Disposal"},
     {"TA",     "Temporary Abandoned"},
     {"TA-G",   "Temporary Abandoned -Gas Show"},
     {"TA-O",   "Temporary Abandoned - Oil Show"},
     {"TA-OG",  "Temporary Abandoned - Oil & Gas Show"},
     {"UN",     "Unknown"},
     {"W-INJ",  "Water Injection"},
     {"WATER",  "Water"},
     {"WI-OG",  "Water Injection - Oil & Gas Show"},
     {"OUTCROP", "Measured Section"}};

  public static final int iStatus[] =
    {NONE,        // "None"},
     DRY,         // "Abandon"},
     NONE,        // "CB"},
     DRY,         // "Dry"},
     DRY,         // "Dry & Abandon"},
     DRY_GAS,     // "Dry & Abandon - Gas Show"},
     DRY_OIL,     // "Dry & Abandon - Oil Show"},
     DRY_OIL_GAS, // "Dry & Abandon - Oil & Gas Show"},
     DRY,         // "Dry & Abandon - Water"},
     DRY,         // "Dry & Abandon - Water Gas Show"},
     DRY,         // "Dry & Abandon - Water Oil Show"},
     NONE,        // "ENH"},
     NONE,        // "EOR"},
     GAS,         // "Gas"},
     GAS,         // "Gas with Oil Show"},
     GAS,         // "Gas Show"},
     NONE,        // "HI"},
     NONE,        // "Injection"},
     NONE,        // ""},
     NONE,        // "J&A"},
     NONE,        // "LH"},
     OIL_GAS,     // "Oil & Gas"},
     OIL_GAS,     // "Oil & Gas"},
     OIL,         // "Oil"},
     OIL,         // "OIL-WO"},
     NONE,        // "Service - Gas"},
     NONE,        // "Service - Oil & Gas"},
     NONE,        // "Service - Water"},
     SUSPEND,     // "Suspended"},
     SUSPEND_OIL, // "Suspended - Oil"},
     SUSPEND_GAS, // "Suspended - Gas"},
     SUSPEND_OIL_GAS, // "Suspended - Oil & Gas"},
     SWD,         // "Salt-Water-Disposal"},
     SWD,         // "Salt-Water-Disposal"},
     NONE,        // "Temporary Abandoned"},
     NONE,        // "Temporary Abandoned -Gas Show"},
     NONE,        // "Temporary Abandoned - Oil Show"},
     NONE,        // "Temporary Abandoned - Oil & Gas Show"},
     NONE,        // "Unknown"},
     NONE,        // "Water Injection"},
     NONE,        // "Water"},
     NONE,        // "Water Injection - Oil & Gas Show"}
     OUTCROP};    // Outcrop
}
