/*
 * @iqstratDataListStruct.java Version 1.1 02/20/2008
 *
 * Copyright (c) 2008 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package xsection;

import xsection.xsectionDataStruct;

/** CLASS xsectionDataListStruct
 *  <p> This Structure holds a list of Data Information Structures.
 *
 *  @version 1.1 02/20/2008
 *  @author  John R. Victorine
 */

public class xsectionDataListStruct
{
  public int                   iCount    = 0;    // Total Number of Records
  public xsectionDataStruct    stItem[]  = null; // Array of Data Structures

  /** Method delete()
   * <p> This method will set the string variable to null and initialize all the
   *     other variables.
   */

  public void delete()
  {
    if (iCount > 0)
    {
      for (int i=0; i<iCount; i++)
      {
        if (stItem[i] != null)
          stItem[i].delete();
        stItem[i] = null;
      }
    }

    iCount = 0;
    stItem = null;
  }
}
