/*
 * @xsectionStruct.java Version 1.1 01/11/2007
 *
 * Copyright (c) 2007 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package xsection;

import java.net.*;
import java.awt.*;
import java.applet.*;
import java.awt.image.*;

import cmn.cmnStruct;
import horizon.strat.stratListStruct;
import lith.lithology.lithologySymbolsListStruct;

/** Class xsectionStruct
 *  <p> This Class holds the Cross Section Viewer Global Data.
 *
 *  @version 1.1 01/11/2007
 *  @author  John R. Victorine
 */

public class xsectionStruct
{
  // Global Data Structure

  public cmnStruct stCMN = new cmnStruct();

  // XML Display Core Image Web Page

  public static final String COLORLITH =
      "http://abyss.kgs.ku.edu/Gemini/colorlith/LithoDensityColorScale.html";

  public static final String KGS_LAS_VIEWER =
      "http://www.kgs.ku.edu/Gemini/LAS.html?sAPI=";

  // Cross Section Path & Filename

  public String sPath = "";
  public String sFile = "";

  // Depth Range

  public int    iScale     = iqstrat.iqstratTracksStruct.SCALE_100; // Scale
  public double depthStart = 0.0;      // Starting Depth of Plot
  public double depthEnd   = 0.0;      // Ending Depth of Plot

  // Stratigraphic Units

  public stratListStruct            stICS     = null; // ICS Stratigraphic Units
  public stratListStruct            stKGS     = null; // KGS Stratigraphic Units
  public lithologySymbolsListStruct stSymbols = null; // Lithology Symbols
}